#!/bin/sh

if [ -z "$AS_HOME" ] ; then
    echo "AS_HOME not set."
    exit 1
fi

PATH=$AS_HOME/bin:$PATH
AS_ADMIN_HOST=localhost
AS_ADMIN_PORT=4848
AS_ADMIN_USER=admin

export PATH
export AS_ADMIN_HOST
export AS_ADMIN_PORT
export AS_ADMIN_USER

echo "AS_ADMIN_PASSWORD=adminadmin" > $AS_HOME/bin/password_file
echo "AS_ADMIN_MASTERPASSWORD=changeit" >> $AS_HOME/bin/password_file

# DOMAIN CREATION
echo "========BEGIN DOMAIN CREATION========"
asadmin create-domain --adminport 4848 --adminuser admin --passwordfile $AS_HOME/bin/password_file --savelogin=true --savemasterpassword=true sqe-domain

# START DOMAIN
echo "========BEGIN START DOMAIN========"
asadmin start-domain --passwordfile $AS_HOME/bin/password_file sqe-domain

# CLUSTER CREATION
echo "========BEGIN CLUSTER CREATION========"
asadmin create-cluster --passwordfile $AS_HOME/bin/password_file cluster1

# NODE-AGENT CREATION
echo "========BEGIN NODE_AGENT CREATION========"
asadmin create-node-agent --passwordfile $AS_HOME/bin/password_file --savemasterpassword=true sqe-agent1

# START NODE-AGENT
echo "========BEGIN START NODE-AGENT========"
asadmin start-node-agent --passwordfile $AS_HOME/bin/password_file sqe-agent1

# CREATE INSTANCE1
echo "========BEGIN CREATE INSTANCE1========"
asadmin create-instance --passwordfile $AS_HOME/bin/password_file --nodeagent sqe-agent1 --cluster cluster1 --systemproperties HTTP_LISTENER_PORT=1111:IIOP_LISTENER_PORT=36000:JMS_PROVIDER_PORT=9000 instance1

# CREATE INSTANCE2 
echo "========BEGIN CREATE INSTANCE2========"
asadmin create-instance --passwordfile $AS_HOME/bin/password_file --nodeagent sqe-agent1 --cluster cluster1 --systemproperties HTTP_LISTENER_PORT=1112:IIOP_LISTENER_PORT=36001:JMS_PROVIDER_PORT=9001 instance2

# CREATE INSTANCE2 
echo "========BEGIN CREATE INSTANCE3========"
asadmin create-instance --passwordfile $AS_HOME/bin/password_file --nodeagent sqe-agent1 --cluster cluster1 --systemproperties HTTP_LISTENER_PORT=1113:IIOP_LISTENER_PORT=36002:JMS_PROVIDER_PORT=9002 instance3

# START CLUSTER
echo "========BEGIN START CLUSTER========"
asadmin start-cluster --passwordfile $AS_HOME/bin/password_file cluster1

#CONFIGURE CLUSTER WITH HADB
echo "========CONFIGURE HA CLUSTER========"
asadmin configure-ha-cluster --passwordfile $AS_HOME/bin/password_file --hosts eas-v20-7.india.sun.com,eas-v20-7.india.sun.com --devicesize 256 cluster1


